
'' Preamble definitions for OSI
'' have to be included in user's  preamble
'' 


  '' Operating System Interface routines 


  normally mode is undefined
 
  define .TRUE          to mean 1
  define .FALSE         to mean 0 
  define .OSOK          to mean 0
  define .OSERROR       to mean -1


  ''Miscelaneous OS Queries

  define OS.GET.OSTYPE.F          as text function given 0
  define OS.GET.WINDOWSYSTYPE.F   as text function given 0
  define OS.GET.COMPUTERTYPE.F    as text function given 0
  define OS.GET.HOSTNAME.F        as text function given 0
  define OS.GET.ENVVAR.F          as text function given 1
  define OS.GET.PROGDIR.F         as text function given 1
  define OS.SYSTEMTIME.F          as integer function given 0
  define OS.TIME2STRING.F         as text function given 1

  define OS.VIEWHELP.F            as integer function given 2


  ''Files and Directories

  define OS.MAX.FNAMELEN.F        as integer function given 0
  define OS.GET.DIRSEPCHAR.F      as alpha function given 0
  define OS.GET.CWD.F             as text function given 0
  define OS.GET.CURDRIVE.F        as text function given 0
  define OS.MAKE.DIR.F            as integer function given 1
  define OS.CHANGE.DIR.F          as integer function given 1
  define OS.REMOVE.DIR.F          as integer function given 1
  define OS.FILE.EXISTS.F         as integer function given 1
  define OS.DELETE.FILE.F         as integer function given 1
  define OS.RENAME.FILE.F         as integer function given 2

  define OS.OPEN.DIR.F            as pointer function given 1
  define OS.NEXT.DIRENTRY.F       as text function given 1
  define OS.CLOSE.DIR.F           as integer function given 1

  define OS.FILE.TYPE.F           as integer function given 1
  define OS.TEST.ACCESS.F         as integer function given 2
  define OS.FILE.MODTIME.F        as integer function given 1
  define OS.FILE.ACCESSTIME.F     as integer function given 1
  define OS.FILE.SIZE.F           as integer function given 1

  define OS.MAKE.EMPTY.FILE.F     as integer function given 1
  define OS.MAKE.TMP.FILE.F       as text function given 1
  define OS.COPY.FILE.F           as integer function given 2
  define OS.MATCHES.FILEPATTERN.F as integer function given 2
  define OS.IS.LEGAL.FNAMECHAR.F  as integer function given 1
  define OS.INCR.FNAME.IFEX.F     as text function given 1
  define OS.MAP2LEGALFNAME.F      as text function given 1
  define OS.APPEND.SLASH.F        as text function given 1
  define OS.REMOVE.FINAL.SLASH.F  as text function given 1
  define OS.DIRNAME.F             as text function given 1
  define OS.BASENAME.F            as text function given 1


  ''Process Management

  define OS.SYSTEMCALL.F          as integer function given 2
  define OS.START.BGTASK.F        as integer function given 2
  define OS.CHECK.BGTASK.R        as routine yielding 3
  define OS.KILL.BGTASK.F         as integer function given 1
  define OS.GET.PID.F             as integer function given 0
  define OS.GET.PPID.F            as integer function given 0


''end OSI definitions
